# This task installs files needed to enable Bamboo.

---
- name: Download Bamboo agent installer drivers from Z3
  get_url:
    url: "https://z3.zooxlabs.com/syseng-artifacts/atlassian-bamboo-agent-installer-6.10.2.jar"
    dest: "/home/svc-citeststation/atlassian-bamboo-agent-installer-6.10.2.jar"
    mode: 0400

- name: Install Bamboo start agent
  copy:
    src: start_bamboo_agent.sh
    dest: /home/svc-citeststation/start_bamboo_agent.sh
    mode: ugo+rwx

- name: Install Bamboo stop agent
  copy:
    src: stop_bamboo_agent.sh
    dest: /home/svc-citeststation/stop_bamboo_agent.sh
    mode: ugo+rwx
